html {
    scroll-behavior: smooth;
    /* color: #333; */
  }

main{
}
.why-choose{
    width: 100vw;
    max-width: 99vw;
    overflow-x: hidden;
}
.header{
}
.header.nobanner{
    top: 0;
}
.header .has-sub{
    padding-right: 20px;
}
.header .has-sub::after{
    content: "";
    width: 14px;
    height: 14px;
    background-image: url(../images/ic-right.png);
    transform: rotate(90deg);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    transition: all .3s ease-in-out;
    position: absolute;
    top: 4px;
    right: 0;
}
.header .has-sub:hover{
    cursor: pointer;
}
.header .has-sub:hover .sub-menu{
    opacity: 1;
    visibility: visible;
    transform: translateX(-40%) translateY(1rem);
}
.header .has-sub:hover::after{
    transform: rotate(270deg);
}
.sub-menu li a p {
    font-size: 14px;
}

.bigtext-marquee {
    overflow: hidden;
    white-space: nowrap;
    position: relative;
    /* margin-top: 64px; */
  }
  
.marquee-wrapper {
/* display: inline-block; */
white-space: nowrap;
animation: marquee 30s linear infinite;
}
@keyframes marquee {
    0% {
      transform: translateX(0%);
    }
    100% {
      transform: translateX(-50%);
    }
  }
  

/* Form Input */
.footer-form{
    display: grid;
    margin-bottom: 0.75rem;
    grid-auto-columns: 1fr;
    grid-column-gap: 16px;
    grid-row-gap: 16px;
    -ms-grid-columns: 1fr -webkit-max-content;
    -ms-grid-columns: 1fr max-content;
    grid-template-columns: 1fr -webkit-max-content;
    grid-template-columns: 1fr max-content;
    -ms-grid-rows: auto;
    grid-template-rows: auto;
}
input{
    outline: none !important;
}
.w-input{
    display: block;
    width: 100%;
    height: 38px;
    padding: 8px 12px;
    margin-bottom: 10px;
    font-size: 14px;
    line-height: 1.42857143;
    color: #333333;
    vertical-align: middle;
    background-color: #ffffff;
    border: 1px solid #cccccc;
}

.form-input{
    height: auto;
    min-height: 2.75rem;
    margin-bottom: 0px;
    padding: 0.5rem 0.75rem;
    border-style: solid;
    border-width: 0px;
    border-color: #333;
    border-radius: 0px;
    background-color: #f4f4f4;
    color: #000;
    font-size: 1rem;
    line-height: 1.6;
}

/* Button */
.w-button{
    border: 0;
    line-height: inherit;
    text-decoration: none;
    cursor: pointer;
}
.button{
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid #333;
    border-radius: 0;
    transition: transform 350ms ease, -webkit-transform 350ms ease;
    color: #fff;
    text-align: center;
    background: #333;
    padding: 0.75rem 1.5rem;
}
.button:hover{
    transform: translate(0px, -4px);
}
.button-small {
    height: 45px;
    padding: 0.5rem 1.25rem;
}
.button-primary{
    background-color: #E0EDF4;
    border-color: #E0EDF4;
    color: #333;
}

.section-title:not(:last-child){
    margin-bottom: 5rem;
}

.product-category{
    max-width: 100%;
}

.product-category > div{
    min-width: max-content;
}

/* Product Card */
.product-thumbnail{
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 100%;
    padding-top: 120%;
    margin-bottom: 1rem;
}
.product-thumbnail img{
    position: absolute;
    left: 0%;
    top: 0%;
    right: 0%;
    bottom: 0%;
    width: 100%;
    height: 100%;
    border-radius: 0px;
    transition: transform 350ms ease;
    object-fit: cover;
}
.product-thumbnail:hover img,
.blog-image:hover{
    transform: scale(1.05);
}

/* Blog */
.blog-card{

}
.blog-thumbnail{
    position: relative;
    overflow: hidden;
    width: 100%;
    padding-top: 66%;
    margin-bottom: 1rem;
    display: block;
}
.blog-image{
    position: absolute;
    left: 0%;
    top: 0%;
    right: 0%;
    bottom: 0%;
    width: 100%;
    height: 100%;
    border-radius: 0px;
    transition: transform 350ms ease;
    object-fit: cover;
}

.footer-menu ul:not(.space-y-4) li:not(:last-child){
    margin-bottom: 16px;
}

/* Breadcrumbs */
.breadcrumbs{
    font-size: 12px;
}
.breadcrumbs a, .breadcrumbs span{
    position: relative;
}
.breadcrumbs a + a::before,
.breadcrumbs a + span::before{
    content: "/";
    /* position: absolute;
    top: 4px;
    left: -12px; */
    /* background-image: url(../images/ic-right.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center; */
    display: inline-block;
    vertical-align: middle;
    margin: 0 8px;
}

.product-detail p + p{
    margin-top: 20px;
}

/* Accordion */
.accordion-toggle{
    position: relative;
}
.accordion-toggle:hover{
    cursor: pointer;
}
.accordion-toggle::after{
    content: "";
    width: 14px;
    height: 14px;
    background-image: url(../images/ic-right.png);
    transform: rotate(90deg);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    transition: all .3s ease-in-out;
    position: absolute;
    top: 24px;
    right: 16px;
}
.accordion-toggle.active::after{
    transform: rotate(270deg);
}

/* Burger menu */
.burger {
    width: 2rem;
    height: 21px;
    cursor: pointer;
    z-index: 5;
    transition: .25s ease-in-out;
    position: relative;
}
.burger span {
    display: block;
    position: absolute;
    height: 1px;
    width: 32px;
    border-radius: 20px;
    background: #333;
    opacity: 1;
    left: 0;
    transition: all .4s ease;
}
.burger span:nth-child(2) {
    top: 0.625rem;
}
.burger span:nth-child(3) {
    top: 1.25rem;
}

body.menu-open .burger span:nth-child(1) {
    top: 1rem;
    transform: rotate(130deg);
    margin-top: -9px;
}
body.menu-open .burger span:nth-child(2) {
    transform: translateX(15px);
    opacity: 0;
}
body.menu-open .burger span:nth-child(3) {
    transform: rotate(45deg);
    margin-top: -13px;
}
body.menu-open .main-menu{
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
    padding-bottom: 80px;
}

.article-content h1,
.article-content h2,
.article-content h3,
.article-content h4,
.article-content h5{
    color: #333;
    font-weight: bold;
    margin-bottom: 1rem;
}
.article-content h2{
    font-size: 2rem;
    line-height: 1.2;
    font-weight: 700;
}
.article-content h3{
    font-size: 1.5rem;
    line-height: 1.2;
    font-weight: 700;
}
.article-content h4{
    font-size: 1.25rem;
    line-height: 1.2;
    font-weight: 700;
}
.article-content h5{
    font-size: 1.5rem;
    line-height: 1.2;
    font-weight: 700;
}
.article-content h6{
    font-size: 0.875rem;
    line-height: 1.2;
    font-weight: 700;
}
.article-content article p:not(:last-child){
    margin-bottom: 1.25rem;
}

.more-cat{
    position: relative;
}
.more-cat .dropdown-menu{
    position: absolute;
    left: 0;
    top: 100%;
}
.more-cat .dropdown-menu{
    max-height: 200px;
    overflow-y: auto;
}
.more-cat .dropdown-menu li{
    width: 100%;
    min-width: max-content;
}

@media (max-width: 1024px){
    .container{
        padding: 0 24px;
    }
    .header .main-menu{
        position: fixed;
        top: 140px;
        left: 0;
        width: 100%;
        height: calc(100vh - 140px);
        background: #fff;
        padding: 1.5rem;
        padding-bottom: 80px;
        transition: all .3s ease-in-out;
        -webkit-transform: translateY(-24px);
        transform: translateY(-24px);
        opacity: 0;
        visibility: hidden;
        overflow: auto;
    }
    .header .main-menu .nav-main{
        flex-direction: column;
    }
    .header .has-sub .sub-menu{
        transform: translateX(0) translateY(0);
        position: relative;
        opacity: 0;
        visibility: hidden;
        max-height: 0;
        
    }
    .header .has-sub:hover .sub-menu{        
        transform: translateX(0) translateY(1rem);
        opacity: 1;
        visibility: visible;
        max-height: max-content;
    }
}
